summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenrik Brix Andersen <brix@gentoo.org>2005-10-17 10:19:19 +0000
committerHenrik Brix Andersen <brix@gentoo.org>2005-10-17 10:19:19 +0000
commitc4b3217db59e3489471eb4ff7ac10bbc4b44acd9 (patch)
tree4b687d6809820b65811dac264cf2374e2ffc8b41 /net-wireless/wpa_supplicant/files
parentversion bump. added homepage to 0.0.6 (diff)
downloadgentoo-2-c4b3217db59e3489471eb4ff7ac10bbc4b44acd9.tar.gz
gentoo-2-c4b3217db59e3489471eb4ff7ac10bbc4b44acd9.tar.bz2
gentoo-2-c4b3217db59e3489471eb4ff7ac10bbc4b44acd9.zip
New development snapshot, bug #108319.
(Portage version: 2.0.51.22-r3)
Diffstat (limited to 'net-wireless/wpa_supplicant/files')
-rw-r--r--net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.51
-rw-r--r--net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.5-wpa_cli.action44
2 files changed, 45 insertions, 0 deletions
diff --git a/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.5 b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.5
new file mode 100644
index 000000000000..cc9c43ebf6d3
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.5
@@ -0,0 +1 @@
+MD5 28347563119f09fc963bcdf9d16265a3 wpa_supplicant-0.4.5.tar.gz 442393
diff --git a/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.5-wpa_cli.action b/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.5-wpa_cli.action
new file mode 100644
index 000000000000..86a7526e6001
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.5-wpa_cli.action
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Copyright 1999-2005 Gentoo Foundation
+# Written by Roy Marples <uberlord@gentoo.org>
+# Distributed under the terms of the GNU General Public License v2
+# Alternatively, this file may be distributed under the terms of the BSD License
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.5-wpa_cli.action,v 1.1 2005/10/17 10:19:19 brix Exp $
+
+if [ -z "$1" -o -z "$2" ]; then
+ echo "Insufficient parameters" > /dev/stderr
+ exit 1
+fi
+
+INTERFACE="$1"
+ACTION="$2"
+
+# Note, the below action must NOT mark the interface down via ifconfig, ip or
+# similar. Addresses can be removed, changed and daemons can be stopped, but
+# the interface must remain up for wpa_supplicant to work.
+
+if [ -f /etc/gentoo-release ]; then
+ EXEC="/etc/init.d/net.${INTERFACE} --quiet"
+else
+ echo "I don't know what to do with this distro!" > /dev/stderr
+ exit 1
+fi
+
+case ${ACTION} in
+ CONNECTED)
+ EXEC="${EXEC} start"
+ ;;
+ DISCONNECTED)
+ EXEC="${EXEC} stop"
+ ;;
+ *)
+ echo "Unknown action ${ACTION}" > /dev/stderr
+ exit 1
+ ;;
+esac
+
+# ${EXEC} can use ${IN_BACKGROUND} so that it knows that the user isn't
+# stopping the interface and a background process - like wpa_cli - is.
+export IN_BACKGROUND=true
+
+${EXEC}